<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: json_grabber.MakeDict Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classjson__grabber_1_1_make_dict.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classjson__grabber_1_1_make_dict-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">json_grabber.MakeDict Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a159c0c5263f9dd37815ec3b64b130b36"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classjson__grabber_1_1_make_dict.html#a159c0c5263f9dd37815ec3b64b130b36">__init__</a> (self, list <a class="el" href="classjson__grabber_1_1_make_dict.html#a763efd5c2225caa1888a4572e38c672a">json_path</a>, float <a class="el" href="classjson__grabber_1_1_make_dict.html#ad1cd849085a3da6d9442a420fb52e88f">sampling_rate</a>, str <a class="el" href="classjson__grabber_1_1_make_dict.html#a1c7cf63ee62a00661f3021b3e486e2f0">name</a>=&quot;json_grabber&quot;)</td></tr>
<tr class="separator:a159c0c5263f9dd37815ec3b64b130b36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0413dbab3e8a73c6fe23228bd8238e9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classjson__grabber_1_1_make_dict.html#af0413dbab3e8a73c6fe23228bd8238e9">output</a> (self, _simulation_time)</td></tr>
<tr class="separator:af0413dbab3e8a73c6fe23228bd8238e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a1c7cf63ee62a00661f3021b3e486e2f0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classjson__grabber_1_1_make_dict.html#a1c7cf63ee62a00661f3021b3e486e2f0">name</a></td></tr>
<tr class="separator:a1c7cf63ee62a00661f3021b3e486e2f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a717b406fda844028cf51b5374993c35b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classjson__grabber_1_1_make_dict.html#a717b406fda844028cf51b5374993c35b">internal_dict</a></td></tr>
<tr class="separator:a717b406fda844028cf51b5374993c35b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a763efd5c2225caa1888a4572e38c672a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classjson__grabber_1_1_make_dict.html#a763efd5c2225caa1888a4572e38c672a">json_path</a></td></tr>
<tr class="separator:a763efd5c2225caa1888a4572e38c672a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1cd849085a3da6d9442a420fb52e88f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classjson__grabber_1_1_make_dict.html#ad1cd849085a3da6d9442a420fb52e88f">sampling_rate</a></td></tr>
<tr class="separator:ad1cd849085a3da6d9442a420fb52e88f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a159c0c5263f9dd37815ec3b64b130b36" name="a159c0c5263f9dd37815ec3b64b130b36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a159c0c5263f9dd37815ec3b64b130b36">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def json_grabber.MakeDict.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">list&#160;</td>
          <td class="paramname"><em>json_path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sampling_rate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str &#160;</td>
          <td class="paramname"><em>name</em> = <code>&quot;json_grabber&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Reads a bunch of json files into an internal dict of pd.dataframes

:param json_path: list of json path strings
:param sampling_rate: sampling rate for the main
</pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af0413dbab3e8a73c6fe23228bd8238e9" name="af0413dbab3e8a73c6fe23228bd8238e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0413dbab3e8a73c6fe23228bd8238e9">&#9670;&nbsp;</a></span>output()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def json_grabber.MakeDict.output </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>_simulation_time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Read json into internal dict, append dict only with not known values
</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a717b406fda844028cf51b5374993c35b" name="a717b406fda844028cf51b5374993c35b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a717b406fda844028cf51b5374993c35b">&#9670;&nbsp;</a></span>internal_dict</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">json_grabber.MakeDict.internal_dict</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a763efd5c2225caa1888a4572e38c672a" name="a763efd5c2225caa1888a4572e38c672a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a763efd5c2225caa1888a4572e38c672a">&#9670;&nbsp;</a></span>json_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">json_grabber.MakeDict.json_path</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1c7cf63ee62a00661f3021b3e486e2f0" name="a1c7cf63ee62a00661f3021b3e486e2f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c7cf63ee62a00661f3021b3e486e2f0">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">json_grabber.MakeDict.name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad1cd849085a3da6d9442a420fb52e88f" name="ad1cd849085a3da6d9442a420fb52e88f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1cd849085a3da6d9442a420fb52e88f">&#9670;&nbsp;</a></span>sampling_rate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">json_grabber.MakeDict.sampling_rate</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="json__grabber_8py.html">json_grabber.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacejson__grabber.html">json_grabber</a></li><li class="navelem"><a class="el" href="classjson__grabber_1_1_make_dict.html">MakeDict</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
